Company logoTrust Center Documentation
API v1 ReferenceNda templates

Create NDA template

Create a new NDA template. Browse request parameters, authentication requirements, response payloads, and working code samples in the Orbiq API docs.

Create a new NDA template

POST
/api/v1/nda-templates

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from login endpoint

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/nda-templates" \  -H "Content-Type: application/json" \  -d '{    "title": "Standard Bilateral NDA",    "type": "bilateral",    "content_markdown": "# Non-Disclosure Agreement\n\nProtect confidential information shared between both parties.",    "language": "en",    "validity_in_months": 12  }'
{
  "template": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenant": "93360892-48a4-4f76-a117-3304c9c61771",
    "title": "string",
    "type": "standard",
    "content_markdown": "string",
    "validity_in_months": 0,
    "language": "en",
    "status": "draft",
    "date_created": "2019-08-24T14:15:22Z",
    "date_updated": "2019-08-24T14:15:22Z",
    "user_created": "string",
    "user_updated": "string"
  }
}
{
  "error": "Invalid request parameters"
}
{
  "error": "Unauthorized"
}
{
  "error": "Internal server error"
}

How is this guide?